package borland.samples.apps.chess.client ;

/**Contains all the strings used in the ChessViewer package that need localization...
*/
public class CVS
{
  public static String  WHITE =  "White";
  public static String  BLACK="Black";
  public static String  PLEASE_ENTER_YOUR = "Please enter your name and password";
  public static String  CONFUSED = "I am so confused by that move!!";
  public static String  LOGONHINT = "Enter your name and password";
  public static String  CHATHINT = "chat by typing in here and pressing Enter";
  public static String  LISTPLAYERS = "List Players";
  public static String  GAMEPARAMNAME = "game";
  public static String  IMAGENAME = "image";
  public static String  ZEROTIME = "0:00:00";
  public static String  COULD_NOT_OPEN = "could not open ";
  public static String  LOGOFF = "Log Off";
  public static String  LOGON = "Log On...";
  public static String  LOG_ON = "Log on";
  public static String  CANCEL = "Cancel";
  public static String  CONNECTION_ERROR = "Connection error ";
  public static String  UNKNOWN_HOST = "Trying to connect to unknown host: ";
  public static String  OFFER_ABORT = "Offer Abort";
  public static String SEMICOLON_DELIMITED = "semicolon delimited list of Chesspiece image files ";
  public static String PGN_FILE_TO_LOAD_VERY = "pgn file to load (very optional)";
  public static String THE_HOSTNAME_OF_THE = "the hostname of the Chess Server (Ignored when invoked as an Applet)";
  public static String BEGINNING_OF_GAME = "  |<  ";
  public static String BACK_ONE_MOVE = "  <  ";
  public static String FORWARD_ONE_MOVE = "   >   ";
  public static String END_OF_GAME = "  >|  ";
  public static String DEFAULT_GAME_TIME = "05";
  public static String DEFAULT_MOVE_TIME = "05";
  public static String OPTIONS_ = "Options...";
  public static String QUESTION_MARKS = "??";
  public static String OFFER_DRAW = "Offer Draw";
  public static String RESIGN = "Resign";
  public static String SUSPEND = "Suspend";
  public static String LOGGED_OFF = "Logged Off";
  public static String UPDATE = "Update";
  public static String CHALLENGE = "Challenge";
  public static String TIME_CONTROL_FIELDS = "Time Control fields must be numeric";
  public static String PASTE_AND_THEN = "Paste and then Highlight the entire game you wish to import, then press Enter";
  public static String IMPORTEDGAME = "ImportedGame ";
  public static String COPY_PASTE = "Copy/Paste";
  public static String ABORT_OFFERED_TO = "Abort offered to ";
  public static String DRAW_OFFERED_TO = "Draw offered to ";
  public static String GAME_OVER = "Game Over";
  public static String RESIGNED = " resigned";
  public static String GAME_SUSPENDED = "Game Suspended";
  public static String WAITING_ON_YOUR = "Waiting on your opponent...";
  public static String YOUR_MOVE = "Your move";
  public static String WHITE_TO_MOVE = "White to move";
  public static String BLACK_TO_MOVE = "Black to move";
  public static String BLACK_LOST_ON_TIME = " 1-0 Lost on Time";
  public static String WHITE_LOST_ON_TIME = " 0-1 Lost on Time";
  public static final String LIST_PLAYERS = "List Players";
  public static final String LIST_GAMES = "List Games";
  public static String OBSERVE = "Observe";
  public static String RESUME = "Resume";
  public static String VIEW = "View";
  public static String GET = "Get";
  public static String OFFER_REFUSED = "Offer refused";
  public static String WELCOME = "Welcome ";
  public static String GAME_ABORTED = "Game aborted";
  public static String GAME_DRAWN = "Game drawn";
  public static String BORLAND_CHESS_CLUB = "Borland Chess Club";
  public static String RATED_GAME = "Rated Game";
  public static String LOST_CONNECTION_ = "Lost connection: ";
  public static String RECEIVED_ = "Received: ";
  public static String FRESH_MEAT_ = "Fresh meat!";
  public static String GAMEIN = "Game in";
  public static String MINUTES = "min, +";
  public static String MOVETIME = "sec/move";
  public static String TIME_CONTROL = "Game in % minutes, plus % seconds per move";
  public static String YOU_GET_WHITE = "You get white";
  public static String YOU_GET_BLACK = "You get black";
  public static String DO_YOU_WANT_TO_PLAY = "Do you want to play %?";
  public static String YES = "Yes";
  public static String NO = "No";
  public static String WELCOME_TO_THE = "Welcome to the Borland Chess Club";
  public static String WAITING_FOR = "Waiting for % to move";
  public static String YOUR_NAME  = "Your Name";
  public static String PASSWORD = "Password";
  public static String INEED_A_NAME = "I need a name...";
  public static String PLEASE_CHOOSE_A = "Please choose a longer name";
  public static String INEED_A_PASSWORD = "I need a password...";
  public static String PLEASE_CHOOSE_PASSWORD = "Please choose a longer password";
  public static String LOGGING_ON_ = "Logging on...";
  public static String FEEL_FREE_TO_USE_THE = "Feel free to use the chessboard";
  public static String CHESSBOARD_OPTIONS = "Chessboard Options";
  public static String PIECES_ = "Pieces:";
  public static String LIGHT_SQUARES = "Light Squares";
  public static String DARK_SQUARES = "Dark Squares";
  public static String OK = "Ok";
  public static String BLACK_AT_TOP = "Black at Top";
  public static String WHITE_AT_TOP = "White at Top";
  public static String WANNA_DRAW_ = "Wanna Draw?";
  public static String WANNA_ABORT_ = "Wanna Abort?";
  public static String HAS_OFFERED_YOU_A = " has offered you a draw";
  public static String HAS_OFFERED_TO_ABORT = " has offered to Abort the game";
  public static String DO_YOU_ACCEPT_ = "Do you accept?";
  public static String VERY_PRIMITIVE_PGN = "Very primitive pgn file import/export";
  public static String COPY_TO_THE_CLIPBOARD = "Copy to the clipboard";
  public static String TO_IMPORT_PASTE_THE = "To import, paste the pgn formated game into the edit box and then press import";
  public static String IMPORT = "  Import  ";
  public static String YOUR_PUBLIC = "Your Public Information";
  public static String PUBLIC_INFO = "Public Information for ";
  public static String EXPECTED_EIGHT_PIECES = "expected eight pieces of information; received ";
  public static String CHANGE_AS_DESIRED = "Change as desired";
  public static String RATING = " Rating ";
  public static String GAMES_PLAYED = " Games Played";
  public static String NAME = "Name ";
  public static String EMAIL_ADDRESS = "E-mail address ";
  public static String LOCATION = "Location ";
  public static String OTHER_STUFF = "Other Stuff ";
  public static String USER_DATA_UPDATED = "User data updated";
  public static String SEND_NOTE = "Send Note:";
  public static String ONLY_SHOW = "Only show logged on Players";
  public static String MESSAGE_SENT = "message sent to ";
  public static String FROM = "from ";
  public static String NOTE_INSTRUCTIONS = "select recipient, then type note here" ;


  /**Helper method for sticking variables into the string.
  * Searches the string for a % and then substitutes the variable
  */
  public static String Insert(String template, String snippet) {
    int index = template.indexOf('%') ;
    return template.substring(0, index) + snippet + template.substring(index+1);
  }
  
  /**Helper method for sticking variables into the string.
  * Searches the string for a % and then substitutes the variable
  */
  public static String Insert(String template, String snippet1, String snippet2) {
    return Insert(Insert(template, snippet1), snippet2);
  }
}
