package borland.samples.intl.beans;

import java.awt.*;

public class InternationalClockAlignmentEditor
		extends java.beans.PropertyEditorSupport {

  int style;

  public String[] getTags() {
    String result[] = {
      "LEFT",
      "CENTER",
      "RIGHT",
    };
    return result;
  }

  public String getJavaInitializationString() {
    switch (style) {
    case Label.CENTER:
      return "java.awt.Label.CENTER";
    case Label.RIGHT:
      return "java.awt.Label.RIGHT";
    default:
      return "java.awt.Label.LEFT";
    }
  }

  public void setAsText(String text) {
    if (text.equals("CENTER")) {
      style = Label.CENTER;
    } else if (text.equals("RIGHT")) {
      style = Label.RIGHT;
    } else {
      style = Label.LEFT;
    }
  }

  public String getAsText() {
    switch (style) {
    case Label.CENTER:
      return "CENTER";
    case Label.RIGHT:
      return "RIGHT";
    default:
      return "LEFT";
    }
  }

  public void setValue(Object o) {
    style = ((Integer) o).intValue();
    firePropertyChange();
  }

  public Object getValue() {
    return new Integer(style);
  }

}

