package borland.samples.tutorial.dataset.masterdetail;

import java.awt.*;
import java.awt.event.*;
import borland.jbcl.control.*;
import borland.jbcl.layout.*;
import borland.jbcl.dataset.*;

public class MasterDetailFrame1 extends DecoratedFrame {
  BorderLayout borderLayout1 = new BorderLayout();
  BevelPanel bevelPanel1 = new BevelPanel();
  Database database1 = new Database();
  QueryDataSet queryDataSet1 = new QueryDataSet();
  QueryDataSet queryDataSet2 = new QueryDataSet();
  GridControl gridControl1 = new GridControl();
  GridControl gridControl2 = new GridControl();
  GridBagLayout gridBagLayout1 = new GridBagLayout();

  //Construct the frame
  public MasterDetailFrame1() {
    try {
      jbInit();
    }
    catch (Exception e) {
      borland.jbcl.util.Diagnostic.printStackTrace(e);
    }
  }

  //Component initialization
  public void jbInit() throws Exception{
    this.setLayout(borderLayout1);
    this.setTitle("Creating a master-detail relationship");
    bevelPanel1.setLayout(gridBagLayout1);
    database1.setConnection(new borland.jbcl.dataset.ConnectionDescriptor("jdbc:odbc:DataSet Tutorial", "sysdba", "masterkey", false, "sun.jdbc.odbc.JdbcOdbcDriver"));
    queryDataSet1.setQuery(new borland.jbcl.dataset.QueryDescriptor(database1, "select * from country", null, true, false));
    queryDataSet2.setMasterLink(new borland.jbcl.dataset.MasterLinkDescriptor(queryDataSet1, new String[] {"COUNTRY"}, new String[] {"JOB_COUNTRY"}, false));
    queryDataSet2.setQuery(new borland.jbcl.dataset.QueryDescriptor(database1, "select * from Employee", null, true, false));
    gridControl1.setDataSet(queryDataSet1);
    gridControl2.setDataSet(queryDataSet2);
    this.add(bevelPanel1, BorderLayout.CENTER);
    bevelPanel1.add(gridControl1, new GridBagConstraints2(0, 0, 1, 1, 1.0, 1.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(5, 15, 0, 15), -48, -184));
    bevelPanel1.add(gridControl2, new GridBagConstraints2(0, 1, 1, 1, 1.0, 1.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(25, 15, 5, 15), -982, -579));
  }
}

