
package borland.samples.apps.chess.client;

/** The data stucture used by the classes that send/receive messages as sent between client and server
* @param int port the port number of the originator of the message (used by server only)
* @param String msgid The message type (cannot contain any spaces)
* @param String msg The message type specific data
*/
public class ServerMessage
{
  public int    port;    //who sent it
  public String msgid;   //message type
  public String msg;     //message type specific data

  public ServerMessage(int port,String messageId,String message) {
    this.port  = port;
    this.msgid = messageId;
    this.msg   = message;
  }
}
