package borland.samples.tutorial.dataset.visualevents;

import borland.jbcl.dataset.*;
import borland.jbcl.util.Variant;
import borland.jbcl.util.VetoException;
import borland.jbcl.util.Diagnostic;

public class VisualEvents_ColListener implements ColumnChangeListener {

  public VisualEvents_ColListener() {
  }

  // Test validate method:  don't allow value of 10
  public void validate(DataSet dataSet, Column column, Variant value)
    throws VetoException, DataSetException {
    if (value.getInt() == 10) {
      System.out.println("Throwing VetoException");
      throw new VetoException();
    }
  }

  public void changed(DataSet dataSet, Column column, Variant value)
    throws DataSetException {
    System.out.println("Value in " + column.getColumnName() + " changed to " +
      value.toString());
  }
}