package borland.samples.intl.beans.resources;

import java.util.*;

public class LocaleChooserRes extends ListResourceBundle {
  static final Object[][] contents = {
    // inspector property name short descriptions
    {"localeChoices","Locales to display in locale tree"},
    {"selectedLocales","Locales to be visually selected by default in locale tree"},
    {"displayStyle","Locale name display style"},
    {"acceptLeafNodesOnly","Allow only leaves of locale tree to be chosen"},
    {"allowMultiSelect","Allow multiple locales to be selected"},
    {"title","Title at root of locale tree"},
    {"collationLocale","Locale used to collate entries in locale tree"},

    // inspector event name short descriptions
    {"localeChanged","Called when a new locale is chosen in locale tree"},

    // generic title
    {"Select_a_locale","Select a locale"},

    // collation locale custom editor title
    {"default_runtime_locale","(default runtime locale)"},

    // locale choices custom editor title
    {"all_runtime_locales","(all runtime locales)"},

    // selected locales custom editor title
    {"none_selected","(no locales)"},
  };

  protected Object[][] getContents() {
    return contents;
  }
}
