package borland.samples.tutorial.dataset.visualevents;

import java.awt.*;
import java.awt.event.*;
import borland.jbcl.dataset.QueryDataSet;

public class VisualEvents_Focus implements FocusListener {
  VisualEvents_Frame target;
  QueryDataSet       qds;
  int[]              navEnabledFlags;

  public VisualEvents_Focus(VisualEvents_Frame target, QueryDataSet qds,
    int[] navEnabledFlags) {
    this.target = target;
    this.qds = qds;
    this.navEnabledFlags = navEnabledFlags;
  }

  public void focusGained(FocusEvent focusEvent) {
    target.gridFocusGained(qds, navEnabledFlags);
  }

  public void focusLost(FocusEvent parm1) { }
}